Subject: Re: [bmwg] WG ADOPTION: https://tools.ietf.org/html/draft-vsperf-bmwg-vswitch-opnfv

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Fri, 1 Apr 2016 12:46:11 -0400

Hi Marius,

Thanks for your support on the draft.

Maryam and I discussed your comments briefly at the
VSPERF weekly meeting.

When it comes to comparison, which may not necessarily
be degradation, (I think) we've seen multipliers used
more frequently, as they help to simplify the result
(2x better performance, AAA switch 10x faster than ZZZ).
But this is worth discussing.

As far as De-activation goes, VSPERF doesn't have test
cases that cover this function, and it's probably a
topic which has seen light treatment in Benchmarking.
But, we could turn that around if it's important now!

regards,
Maryam and Al

From: bmwg [mailto:[email-masked]] On Behalf Of Marius Georgescu
Sent: Tuesday, March 29, 2016 11:07 PM
To: [email-masked]
Subject: Re: [bmwg] WG ADOPTION: https://tools.ietf.org/html/draft-vsperf-bmwg-vswitch-opnfv

I think this work is important for the future of this WG and I support its adoption.
I also have two questions for the authors:

1. For the Comparison with Physical Network Functions, I was wondering if a performance degradation index between a physical and a virtual network function would make sense. For example, run a RFC2544.throughput test with a physical switch as DUT and  get X result, run the same test with a  virtual switch as DUT and get Y result. Express the performance degradation in percentage as:
              X - Y
       PD= ----------- * 100
                 X

2. Considering the Matrix Coverage Summary, I was wondering why no De-activation benchmark was proposed.

Best regards,
Marius

On Mar 24, 2016, at 00:46, Sarah B <[email-masked]<mailto:[email-masked]>> wrote:

Hello BWWG,
          According to the minutes from IETF94 (https://www.ietf.org/proceedings/94/minutes/minutes-94-bmwg), those present in the room expressed interest in the draft. There've been several reviewers, and strong discussion during each IETF meeting since the draft was introduced. As Al is a named author, I'd like to, with my chair hat on, ask the BMWG list to confirm their support for this draft and call for adoption.

          Please reply with your opinion whether the BMWG should adopt this draft, whether you have read the draft, and any comments on the draft or this call for adoption. Let's attempt to complete this call for adoption and meet a deadline of April 20th, 2016.

Kind regards,
Sarah
BMWG Co-Chair
_______________________________________________
bmwg mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bmwg

---

From: Marius Georgescu <[email-masked]>
Date: Sat, 2 Apr 2016 13:06:42 +0900

Hello Al and Maryam,

Please see my comments inline.

On 4/2/2016 1:46 AM, MORTON, ALFRED C (AL) wrote:
> be degradation, (I think) we’ve seen multipliers used
>
I think putting  a number on the performance difference between physical 
and virtual switches (which, I agree, may not necessarily be 
degradation) would be beneficial. Multipliers sound like a good solution 
as well.

> As far as De-activation goes, VSPERF doesn’t have test
>
> cases that cover this function, and it’s probably a
>
> But, we could turn that around if it’s important now!
>
I don't think it's terribly important. I was just wondering why, since 
it's easily noticeable from the cover matrix.

Best regards,
Marius

> *From:*bmwg [mailto:[email-masked]] *On Behalf Of *Marius Georgescu
> *Sent:* Tuesday, March 29, 2016 11:07 PM
> *To:* [email-masked]
> *Subject:* Re: [bmwg] WG ADOPTION: 
> https://tools.ietf.org/html/draft-vsperf-bmwg-vswitch-opnfv
>
> 1. For the Comparison with Physical Network Functions, I was wondering 
> if a performance degradation index between a physical and a virtual 
> network function would make sense. For example, run a 
> RFC2544.throughput test with a physical switch as DUT and  get X 
> result, run the same test with a  virtual switch as DUT and get Y 
> result. Express the performance degradation in percentage as:
>
>               X - Y
>
>        PD= ----------- * 100
>
>                  X
>
>     According to the minutes from IETF94
>     (https://www.ietf.org/proceedings/94/minutes/minutes-94-bmwg),
>     those present in the room expressed interest in the draft.
>     There've been several reviewers, and strong discussion during each
>     IETF meeting since the draft was introduced. As Al is a named
>     author, I'd like to, with my chair hat on, ask the BMWG list to
>     confirm their support for this draft and call for adoption.
>
>     Please reply with your opinion whether the BMWG should adopt this
>     draft, whether you have read the draft, and any comments on the
>     draft or this call for adoption. Let's attempt to complete this
>     call for adoption and meet a deadline of April 20th, 2016.
>
>     Kind regards,
>
>     Sarah
>
>     BMWG Co-Chair
>
>     [email-masked] <mailto:[email-masked]>

---

From: "Bhuvan \(Veryx\)" <[email-masked]>
Date: Wed, 6 Apr 2016 10:12:30 +0530

I support adopting this work as it is important to define additional
considerations required for benchmarking vSwitch that are to be deployed in
NFV infrastructure.

Also a comment to authors - I see the draft mentions about Flow
Classification (Section 3.4). It will be good to have some text to capture
the working mode of vSwitch(e.g., Standalone or connected to SDN controller)
as this may have an impact on the DP forwarding performance.

Regards,

Bhuvan

From: bmwg [mailto:[email-masked]] On Behalf Of Sarah B
Sent: 23 March 2016 21:17
To: [email-masked]
Subject: [bmwg] WG ADOPTION:
https://tools.ietf.org/html/draft-vsperf-bmwg-vswitch-opnfv

Hello BWWG,

            According to the minutes from IETF94
(https://www.ietf.org/proceedings/94/minutes/minutes-94-bmwg), those present
in the room expressed interest in the draft. There've been several
reviewers, and strong discussion during each IETF meeting since the draft
was introduced. As Al is a named author, I'd like to, with my chair hat on,
ask the BMWG list to confirm their support for this draft and call for
adoption. 

            Please reply with your opinion whether the BMWG should adopt
this draft, whether you have read the draft, and any comments on the draft
or this call for adoption. Let's attempt to complete this call for adoption
and meet a deadline of April 20th, 2016.

Kind regards,

Sarah

BMWG Co-Chair